pinv = player.getInventory()

if(pinv.getItemInSlot(17) != null)
{
if(pinv.getItemInSlot(17).getItemID() != 262)
{
for(i=0;i<17;i++)
{
if(pinv.getItemInSlot(i) == null)
{
var pitem = pinv.getItemInSlot(17).copy();
pinv.emptySlot(17);
pinv.setSlot(i, item);
}
}
}
}
if (pinv.getSlotContainingItem(262) != -1)
{
if (pinv.getSlotContainingItem(262) != 17)
{
try
{
var count = pinv.getItemInSlot(17).getQuantity();
}
catch(e) { var count = 0; }
var item = pinv.getItemInSlot(pinv.getSlotContainingItem(262)).copy();
pinv.emptySlot(pinv.getSlotContainingItem(262));
if (count < 50)
{
if (item.getQuantity() + count <= 50)
{
item.setQuantity(item.getQuantity() + count);
}
else
{
item.setQuantity(50);
}
}
else
{
item.setQuantity(50);
}
pinv.setSlot(17, item);
}
}
